=== debian/changelog ===
ganeti-htools (0.2.2-1) unstable; urgency=low

  * Initial release (Closes: #562658)

 -- Iustin Pop <iusty@k1024.org>  Tue, 29 Dec 2009 22:09:02 +0100
