=== debian/control ===
Source: ganeti-htools
Section: admin
Priority: extra
Maintainer: Debian Ganeti Team <pkg-ganeti-devel@lists.alioth.debian.org>
Uploaders: Iustin Pop <iusty@k1024.org>, Guido Trotter <ultrotter@debian.org>
Build-Depends: debhelper (>= 7), ghc6, libghc6-curl-dev, libghc6-json-dev,
 libghc6-network-dev, libcurl4-gnutls-dev
Standards-Version: 3.8.3
Homepage: http://code.google.com/p/ganeti/
Vcs-Browser: http://git.debian.org/?p=pkg-ganeti/htools.git
Vcs-Git: git://git.debian.org/pkg-ganeti/htools.git
DM-Upload-Allowed: yes

Package: ganeti-htools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Cluster allocation tools for Ganeti
 These are additional tools used for enhanced allocation and capacity
 calculation on Ganeti clusters.
 .
 The tools provided are:
   - hail, an iallocator script for ganeti
   - hbal, used to redistribute instances on the cluster
   - hspace, used for capacity calculation
   - hscan, used to gather cluser files for offline use in hbal/hspace
