=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

# code.google.com/p/$project/downloads/list has links to
# $project.googlecode.com/files/
http://code.google.com/p/ganeti/downloads/list \
    http://ganeti.googlecode.com/files/ganeti-htools-(\d+\.\d+[\d.]*)\.tar\.gz
