## ganeti-htools 0.2.5

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 HALLPROGS = $(HPROGS) test
 HSRCS := $(wildcard Ganeti/HTools/*.hs) $(wildcard Ganeti/*.hs)
 HDDIR = apidoc
+GHC := ghc
 
 DOCS = README.html NEWS.html
 
@@ -15,7 +16,7 @@
 all: $(HPROGS)
 
 $(HALLPROGS): %: %.hs Ganeti/HTools/Version.hs $(HSRCS) Makefile
-	ghc --make $(HFLAGS) $(HEXTRA) $@
+	$(GHC) --make $(HFLAGS) $(HEXTRA) $@
 
 test: HEXTRA=-fhpc -Wwarn
 
@@ -63,7 +64,7 @@
 
 dist: regen-version Ganeti/HTools/Version.hs doc
 	set -e ; \
-	VN=$$(cat version|sed 's/^v//') ; \
+	VN=$$(sed 's/^v//' < version) ; \
 	PFX="ganeti-htools-$$VN" ; \
 	ANAME="$$PFX.tar" ; \
 	rm -f $$ANAME $$ANAME.gz ; \
@@ -73,7 +74,9 @@
 	gzip -v9 $$ANAME ; \
 	TMPDIR=$$(mktemp -d) ; \
 	tar xzf $$ANAME.gz -C $$TMPDIR; \
-	(cd $$TMPDIR/$$PFX; make; make clean; make check); \
+	$(MAKE) -C $$TMPDIR/$$PFX; \
+	$(MAKE) -C $$TMPDIR/$$PFX clean; \
+	$(MAKE) -C $$TMPDIR/$$PFX check; \
 	rm -rf $$TMPDIR ; \
 	tar tzvf $$ANAME.gz ; \
 	sha1sum $$ANAME.gz ; \
@@ -92,4 +95,7 @@
 tags:
 	find -name '*.hs' | xargs hasktags -e
 
+lint:
+	hlint -r -u .
+
 .PHONY : all doc maintainer-clean clean dist check tags regen-version
