=== debian/changelog ===
ganeti-htools (0.2.5-1) unstable; urgency=low

  * New upstream version (hscan now works over Luxi protocol, and
    hspace exports more metrics)
  * Remove ghc6.12 warnings patch (integrated upstream)

 -- Iustin Pop <iustin@debian.org>  Mon, 24 May 2010 12:02:43 +0200

ganeti-htools (0.2.4-1) unstable; urgency=low

  * New upstream version
  * Update my address and remove DM-Upload-Allowed
  * Standards version 3.8.4 (no changes needed)
  * Add a patch fixing warnings with ghc 6.12 (Closes: #571173)

 -- Iustin Pop <iustin@debian.org>  Wed, 24 Feb 2010 22:44:49 +0100
