=== debian/control ===
--- 
+++ 
@@ -2,14 +2,13 @@
 Section: admin
 Priority: extra
 Maintainer: Debian Ganeti Team <pkg-ganeti-devel@lists.alioth.debian.org>
-Uploaders: Iustin Pop <iusty@k1024.org>, Guido Trotter <ultrotter@debian.org>
-Build-Depends: debhelper (>= 7), ghc6, libghc6-curl-dev, libghc6-json-dev,
- libghc6-network-dev, libcurl4-gnutls-dev
-Standards-Version: 3.8.3
+Uploaders: Iustin Pop <iustin@debian.org>, Guido Trotter <ultrotter@debian.org>
+Build-Depends: debhelper (>= 7), ghc6 (>= 6.12), libghc6-curl-dev, 
+ libghc6-json-dev, libghc6-network-dev, libcurl4-gnutls-dev
+Standards-Version: 3.8.4
 Homepage: http://code.google.com/p/ganeti/
 Vcs-Browser: http://git.debian.org/?p=pkg-ganeti/htools.git
 Vcs-Git: git://git.debian.org/pkg-ganeti/htools.git
-DM-Upload-Allowed: yes
 
 Package: ganeti-htools
 Architecture: any
