## ganeti-htools 0.2.6

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,9 @@
 $(HALLPROGS): %: %.hs Ganeti/HTools/Version.hs $(HSRCS) Makefile
 	$(GHC) --make $(HFLAGS) $(HEXTRA) $@
 
-test: HEXTRA=-fhpc -Wwarn
+test live-test: HEXTRA=-fhpc -Wwarn -fno-warn-missing-signatures \
+	-fno-warn-monomorphism-restriction -fno-warn-orphans \
+	-fno-warn-missing-methods -fno-warn-unused-imports
 
 $(DOCS) : %.html : %
 	rst2html $< $@
@@ -92,6 +94,19 @@
 	hpc report test $(HPCEXCL)
 endif
 
+live-test: all
+	rm -f *.tix *.mix
+	./live-test.sh
+	# combine the tix files
+	hpc sum --union $(HPCEXCL) $(addsuffix .tix,$(HPROGS)) \
+	  --output=live-test.tix
+ifeq ($(T),markup)
+	mkdir -p coverage
+	hpc markup --destdir=coverage live-test $(HPCEXCL)
+else
+	hpc report live-test $(HPCEXCL)
+endif
+
 tags:
 	find -name '*.hs' | xargs hasktags -e
