=== debian/changelog ===
ganeti-htools (0.2.6-1) unstable; urgency=low

  [ Iustin Pop ]
  * New Upstream version
  * Adjust watch file for new code.google.com layout
  * Standards version 3.9.1 (no changes needed)

  [ Erik Esterer ]
  * Typo in package description (Closes: #590265)

 -- Iustin Pop <iustin@debian.org>  Thu, 29 Jul 2010 19:34:49 -0400
