=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Iustin Pop <iustin@debian.org>, Guido Trotter <ultrotter@debian.org>
 Build-Depends: debhelper (>= 7), ghc6 (>= 6.12), libghc6-curl-dev, 
  libghc6-json-dev, libghc6-network-dev, libcurl4-gnutls-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://code.google.com/p/ganeti/
 Vcs-Browser: http://git.debian.org/?p=pkg-ganeti/htools.git
 Vcs-Git: git://git.debian.org/pkg-ganeti/htools.git
@@ -21,4 +21,4 @@
    - hail, an iallocator script for ganeti
    - hbal, used to redistribute instances on the cluster
    - hspace, used for capacity calculation
-   - hscan, used to gather cluser files for offline use in hbal/hspace
+   - hscan, used to gather cluster files for offline use in hbal/hspace
