=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3

# new version of download list
opts=\
downloadurlmangle=s_code\.google\.com/p/ganeti/downloads/_ganeti\.googlecode\.com/files/_;\
s/detail\?name=([^&]*).*/$1/,\
filenamemangle=s/detail\?name=([^&]*).*/$1/ \
http://code.google.com/p/ganeti/downloads/list \
	detail\?name=ganeti-htools-(\d+\.\d+[\d.]*)\.tar\.gz(?:&.*)?
