## ganeti-htools 0.3.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,6 @@
 HPROGS = hbal hscan hail hspace
+MANS = $(HPROGS:%=man/%.1)
+MANHTML = $(HPROGS:%=man/%.html)
 HALLPROGS = $(HPROGS) test
 HSRCS := $(wildcard Ganeti/HTools/*.hs) $(wildcard Ganeti/*.hs)
 HDDIR = apidoc
@@ -13,7 +15,10 @@
 
 # Haskell rules
 
-all: $(HPROGS)
+all: $(HPROGS) man
+
+man: $(MANS) $(MANHTML)
+
 
 $(HALLPROGS): %: %.hs Ganeti/HTools/Version.hs $(HSRCS) Makefile
 	$(GHC) --make $(HFLAGS) $(HEXTRA) $@
@@ -23,15 +28,22 @@
 	-fno-warn-missing-methods -fno-warn-unused-imports
 
 $(DOCS) : %.html : %
-	rst2html $< $@
+	LANG=en_US.UTF-8 pandoc -f rst -t html -o $@ $<
+
+%.1: %.rst
+	LANG=en_US.UTF-8 pandoc -s -f rst -t man -o $@ $<
+
+%.html: %.rst
+	LANG=en_US.UTF-8 pandoc -s -f rst -t html -o $@ $<
 
 doc: $(DOCS) Ganeti/HTools/Version.hs
 	rm -rf $(HDDIR)/*
 	mkdir -p $(HDDIR)/Ganeti/HTools
-	cp hscolour.css $(HDDIR)/Ganeti/HTools
+	HsColour -print-css > $(HDDIR)/Ganeti/hscolour.css
+	ln -s ../hscolour.css $(HDDIR)/Ganeti/HTools/hscolour.css
 	for file in $(HSRCS); do \
-		HsColour -css -anchor \
-		$$file > $(HDDIR)/Ganeti/HTools/`basename $$file .hs`.html ; \
+		hfile=`echo $$file|sed 's/\\.hs$$//'`.html; \
+		HsColour -css -anchor $$file > $(HDDIR)/$$hfile ; \
 	done
 	haddock --odir $(HDDIR) --html --ignore-all-exports \
 		-t ganeti-htools -p haddock-prologue \
@@ -42,6 +54,7 @@
 maintainer-clean:
 	rm -rf $(HDDIR)
 	rm -f $(DOCS) TAGS version Ganeti/HTools/Version.hs
+	rm -f $(MANS) $(MANHTML)
 
 clean:
 	rm -f $(HALLPROGS)
@@ -64,7 +77,10 @@
 Ganeti/HTools/Version.hs: Ganeti/HTools/Version.hs.in version
 	sed -e "s/%ver%/$$(cat version)/" < $< > $@
 
-dist: regen-version Ganeti/HTools/Version.hs doc
+dist:
+	$(MAKE) maintainer-clean
+	$(MAKE) regen-version Ganeti/HTools/Version.hs doc
+	$(MAKE) man
 	set -e ; \
 	VN=$$(sed 's/^v//' < version) ; \
 	PFX="ganeti-htools-$$VN" ; \
@@ -72,7 +88,8 @@
 	rm -f $$ANAME $$ANAME.gz ; \
 	git archive --format=tar --prefix=$$PFX/ HEAD > $$ANAME ; \
 	tar -r -f $$ANAME --owner root --group root \
-	    --transform="s,^,$$PFX/," version apidoc $(DOCS) ; \
+	    --transform="s,^,$$PFX/,S" version apidoc \
+	    $(DOCS) $(MANS) $(MANHTML); \
 	gzip -v9 $$ANAME ; \
 	TMPDIR=$$(mktemp -d) ; \
 	tar xzf $$ANAME.gz -C $$TMPDIR; \
@@ -113,4 +130,4 @@
 lint:
 	hlint -r -u .
 
-.PHONY : all doc maintainer-clean clean dist check tags regen-version
+.PHONY : all doc maintainer-clean clean dist check tags regen-version man
