=== debian/changelog ===
ganeti-htools (0.3.1-2) unstable; urgency=low

  * Adjust build-deps for current sid packages (Closes: #629737)
  * Standards version 3.9.2 (no changes needed)

 -- Iustin Pop <iustin@debian.org>  Sun, 26 Jun 2011 00:07:39 +0200

ganeti-htools (0.3.1-1) unstable; urgency=low

  * New upstream version (minor fixes: better error messages in luxi
    backend, fixed source archive generation)

 -- Iustin Pop <iustin@debian.org>  Fri, 11 Mar 2011 21:15:21 +0100

ganeti-htools (0.3.0-1) unstable; urgency=low

  * New upstream version (conflicts with ganeti < 2.4.0)

 -- Iustin Pop <iustin@debian.org>  Thu, 10 Mar 2011 20:38:08 +0100
