=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: extra
 Maintainer: Debian Ganeti Team <pkg-ganeti-devel@lists.alioth.debian.org>
 Uploaders: Iustin Pop <iustin@debian.org>, Guido Trotter <ultrotter@debian.org>
-Build-Depends: debhelper (>= 7), ghc6 (>= 6.12), libghc6-curl-dev, 
- libghc6-json-dev, libghc6-network-dev, libcurl4-gnutls-dev
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 7), ghc (>= 6.12), libghc-curl-dev,
+ libghc-json-dev, libghc-network-dev, libcurl4-gnutls-dev,
+ libghc-parallel-dev
+Standards-Version: 3.9.2
 Homepage: http://code.google.com/p/ganeti/
 Vcs-Browser: http://git.debian.org/?p=pkg-ganeti/htools.git
 Vcs-Git: git://git.debian.org/pkg-ganeti/htools.git
@@ -13,6 +14,7 @@
 Package: ganeti-htools
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: ganeti2 (<< 2.4)
 Description: Cluster allocation tools for Ganeti
  These are additional tools used for enhanced allocation and capacity
  calculation on Ganeti clusters.
